import { createApp } from 'vue'
//elementplus
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import App from './App.vue'
//router
import router from "./router"
//pinia
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
//ant
import Antd from 'ant-design-vue'
import 'ant-design-vue/lib/button/style'



//pinia
const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)

const app = createApp(App)
// 新增代码：注册全部组件
app.use(Antd)
app.use(router)
app.use(ElementPlus)
app.use(createPinia())
//挂载实例
app.mount('#app')







